Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.dataview
Class CellEditors.FormattedFieldEditor

    java.lang.Object
      javax.swing.AbstractCellEditor
          javax.swing.DefaultCellEditor
              org.apache.cayenne.dataview.CellEditors.FormattedFieldEditor

All Implemented Interfaces:
  java.io.Serializable, javax.swing.CellEditor, javax.swing.table.TableCellEditor, javax.swing.tree.TreeCellEditor

Enclosing class:
  CellEditors

    public class CellEditors.FormattedFieldEditor

extends javax.swing.DefaultCellEditor

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.DefaultCellEditor
`javax.swing.DefaultCellEditor.EditorDelegate`

Field Summary

Fields inherited from class javax.swing.DefaultCellEditor
`clickCountToStart, delegate, editorComponent`

Fields inherited from class javax.swing.AbstractCellEditor
`changeEvent, listenerList`

Constructor Summary
`CellEditors.FormattedFieldEditor(javax.swing.JFormattedTextField field)`

Method Summary
`java.awt.Component` | `getTableCellEditorComponent(javax.swing.JTable table, java.lang.Object value, boolean isSelected, int row, int column)`

Methods inherited from class javax.swing.DefaultCellEditor
`cancelCellEditing, getCellEditorValue, getClickCountToStart, getComponent, getTreeCellEditorComponent, isCellEditable, setClickCountToStart, shouldSelectCell, stopCellEditing`

Methods inherited from class javax.swing.AbstractCellEditor
`addCellEditorListener, fireEditingCanceled, fireEditingStopped, getCellEditorListeners, removeCellEditorListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.swing.CellEditor
`addCellEditorListener, removeCellEditorListener`

Methods inherited from interface javax.swing.CellEditor
`addCellEditorListener, removeCellEditorListener`

Constructor Detail

### CellEditors.FormattedFieldEditor

    public CellEditors.FormattedFieldEditor(javax.swing.JFormattedTextField field)

Method Detail

### getTableCellEditorComponent

    public java.awt.Component getTableCellEditorComponent(javax.swing.JTable table,
                                                          java.lang.Object value,
                                                          boolean isSelected,
                                                          int row,
                                                          int column)

  Specified by:
    `getTableCellEditorComponent` in interface `javax.swing.table.TableCellEditor`
  Overrides:
    `getTableCellEditorComponent` in class `javax.swing.DefaultCellEditor`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 Apache.org All Rights Reserved.